Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.portal.common.util
Enum IsolationLevel

    java.lang.Object
      java.lang.Enum<IsolationLevel>
          org.jboss.portal.common.util.IsolationLevel

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IsolationLevel>

    public enum IsolationLevel

extends java.lang.Enum<IsolationLevel>

A general purpose enum to represent an isolation level.

Version:
  $Revision: 630 $
Author:
  Julien Viet

Enum Constant Summary
`NONE`
`READ_COMMITED`
`READ_REPEATABLE`
`READ_UNCOMMITED`
`SERIALIZABLE`

Method Summary
`static IsolationLevel` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IsolationLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final IsolationLevel NONE

### READ_UNCOMMITED

    public static final IsolationLevel READ_UNCOMMITED

### READ_COMMITED

    public static final IsolationLevel READ_COMMITED

### READ_REPEATABLE

    public static final IsolationLevel READ_REPEATABLE

### SERIALIZABLE

    public static final IsolationLevel SERIALIZABLE

Method Detail

### values

    public static final IsolationLevel[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(IsolationLevel c : IsolationLevel.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static IsolationLevel valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2008. All Rights Reserved.